-- http://www.wowace.com/addons/gem-helper/localization/deDE/
if GetLocale() ~= "deDE" then return end
GemHelper_Localize = {
	Cut = {
		Accurate = "Accurate", -- Requires localization
		Adept = "Adept", -- Requires localization
		Artful = "Artful", -- Requires localization
		Austere = "Austere", -- Requires localization
		Balanced = "Balanced", -- Requires localization
		Beaming = "Beaming", -- Requires localization
		Bold = "Klobiger", -- Needs review
		Bracing = "Bracing", -- Requires localization
		Bright = "Bright", -- Requires localization
		Brilliant = "Glänzender", -- Needs review
		Brutal = "Brutal", -- Requires localization
		Burning = "Burning", -- Requires localization
		Champions = "Champion's", -- Requires localization
		Chaotic = "Chaotic", -- Requires localization
		Crafty = "Crafty", -- Requires localization
		Dazzling = "Dazzling", -- Requires localization
		Deadly = "Deadly", -- Requires localization
		Defenders = "Defender's", -- Requires localization
		Deft = "Deft", -- Requires localization
		Delicate = "Feingeschliffener ", -- Needs review
		Destructive = "Destructive", -- Requires localization
		Effulgent = "Effulgent", -- Requires localization
		Ember = "Ember", -- Requires localization
		Energized = "Energized", -- Requires localization
		Enigmatic = "Enigmatic", -- Requires localization
		Etched = "Etched", -- Requires localization
		Eternal = "Eternal", -- Requires localization
		Fierce = "Fierce", -- Requires localization
		Fine = "Fine", -- Requires localization
		Flashing = "Flashing", -- Requires localization
		Fleet = "Fleet", -- Requires localization
		Forceful = "Forceful", -- Requires localization
		Forlorn = "Forlorn", -- Requires localization
		Fractured = "Fractured", -- Requires localization
		Glinting = "Glinting", -- Requires localization
		Guardians = "Guardian's", -- Requires localization
		Imbued = "Imbued", -- Requires localization
		Impassive = "Impassive", -- Requires localization
		Infused = "Infused", -- Requires localization
		Inscribed = "Inscribed", -- Requires localization
		Insightful = "Insightful", -- Requires localization
		Invigorating = "Invigorating", -- Requires localization
		Jagged = "Gezackter", -- Needs review
		Keen = "Keen", -- Requires localization
		Lambert = "Lambert", -- Requires localization
		Lightning = "Lightning", -- Requires localization
		Lucent = "Lucent", -- Requires localization
		Misty = "Misty", -- Requires localization
		Mysterious = "Mysterious", -- Requires localization
		Mystic = "Mystischer", -- Needs review
		Mystical = "Mystical", -- Requires localization
		Nimble = "Nimble", -- Requires localization
		Perfect = "Perfect", -- Requires localization
		Persistent = "Persistent", -- Requires localization
		Piercing = "Piercing", -- Requires localization
		Polished = "Polished", -- Requires localization
		Potent = "Potent", -- Requires localization
		Powerful = "Powerful", -- Requires localization
		Precise = "Precise", -- Requires localization
		Puissant = "Puissant", -- Requires localization
		Purified = "Purified", -- Requires localization
		Quick = "Quick", -- Requires localization
		Radiant = "Radiant", -- Requires localization
		Reckless = "Reckless", -- Requires localization
		Regal = "Regal", -- Requires localization
		Relentless = "Relentless", -- Requires localization
		Resolute = "Resolute", -- Requires localization
		Resplendent = "Resplendent", -- Requires localization
		Retaliating = "Retaliating", -- Requires localization
		Revitalizing = "Revitalizing", -- Requires localization
		Rigid = "Rigid", -- Requires localization
		Runed = "Runed", -- Requires localization
		Senseis = "Sensei's", -- Requires localization
		Shattered = "Shattered", -- Requires localization
		Shielded = "Shielded", -- Requires localization
		Shifting = "Shifting", -- Requires localization
		Skillful = "Skillful", -- Requires localization
		Smooth = "Glatter", -- Needs review
		Solid = "Solid", -- Requires localization
		Soothing = "Soothing", -- Requires localization
		Sovereign = "Sovereign", -- Requires localization
		Sparkling = "Funkelnder", -- Needs review
		Splendid = "Splendid", -- Requires localization
		Stalwart = "Stalwart", -- Requires localization
		Steady = "Steady", -- Requires localization
		Stormy = "Stormy", -- Requires localization
		Subtle = "Subtle", -- Requires localization
		Swift = "Swift", -- Requires localization
		Tenacious = "Tenacious", -- Requires localization
		Tense = "Tense", -- Requires localization
		Tenuous = "Tenuous", -- Requires localization
		Thundering = "Thundering", -- Requires localization
		Timeless = "Timeless", -- Requires localization
		Tireless = "Tireless", -- Requires localization
		Trenchant = "Trenchant", -- Requires localization
		Turbid = "Turbid", -- Requires localization
		Veiled = "Veiled", -- Requires localization
		Vivid = "Vivid", -- Requires localization
		Wicked = "Wicked", -- Requires localization
		Willful = "Willful", -- Requires localization
		Zen = "Zen", -- Requires localization
	},
	CutGem = {
		BloodOfAmber = "Blood of Amber", -- Requires localization
		CharmedAmaniJewel = "Charmed Amani Jewel", -- Requires localization
		CrimsonSun = "Crimson Sun", -- Requires localization
		DonAmanciosHeart = "Don Amancio's Heart", -- Requires localization
		DonJuliosHeart = "Don Julio's Heart", -- Requires localization
		DonRodrigosHeart = "Don Rodrigo's Heart", -- Requires localization
		EnchantedPearl = "Enchanted Pearl", -- Requires localization
		EnchantedTear = "Enchanted Tear", -- Requires localization
		EyeOfTheSea = "Eye of the Sea", -- Requires localization
		FacetOfEternity = "Facet of Eternity", -- Requires localization
		FallingStar = "Falling Star", -- Requires localization
		KaileesRose = "Kailee's Rose", -- Requires localization
		KharmaasGrace = "Kharmaa's Grace", -- Requires localization
		NightmareTear = "Nightmare Tear", -- Requires localization
		PrismaticSphere = "Prismatic Sphere", -- Requires localization
		StoneOfBlades = "Stone of Blades", -- Requires localization
		VoidSphere = "Void Sphere", -- Requires localization
	},
	Filters = {
		Intellect = "Intellect", -- Requires localization
		Mastery = "Mastery", -- Requires localization
		Stamina = "Stamina", -- Requires localization
	},
	Gem = {
		Alicite = "Alazit", -- Needs review
		Amber = "Amber", -- Requires localization
		Amberjewel = "Heliodor", -- Needs review
		Amethyst = "Amethyst", -- Requires localization
		Ametrine = "Ametrine", -- Requires localization
		AutumnsGlow = "Autumn's Glow", -- Requires localization
		AzureMoonstone = "Azurmondstein", -- Needs review
		BloodGarnet = "Blutgranat", -- Needs review
		Bloodstone = "Bloodstone", -- Requires localization
		CardinalRuby = "Kardinalsrubin", -- Needs review
		Carnelian = "Carnelian", -- Requires localization
		Chalcedony = "Chalcedony", -- Requires localization
		ChimerasEye = "Chimera's Eye", -- Requires localization
		Chrysoprase = "Chrysoprase", -- Requires localization
		Citrine = "Citrine", -- Requires localization
		Cogwheel = "Cogwheel", -- Requires localization
		CrimsonSpinel = "Purpurspinell", -- Needs review
		DarkJade = "Dark Jade", -- Requires localization
		Dawnstone = "Dämmerstein", -- Needs review
		DeepholmIolite = "Deepholm Iolite", -- Requires localization
		DeepPeridot = "Tiefenperidot", -- Needs review
		Demonseye = "Demonseye", -- Requires localization
		DragonsEye = "Dragon's Eye", -- Requires localization
		Dreadstone = "Dreadstone", -- Requires localization
		DreamEmerald = "Dream Emerald", -- Requires localization
		EarthshatterDiamond = "Earthshatter Diamond", -- Requires localization
		EarthsiegeDiamond = "Earthsiege Diamond", -- Requires localization
		EarthstormDiamond = "Erdsturmdiamant", -- Needs review
		ElvenPeridot = "Elven Peridot", -- Requires localization
		EmberTopaz = "Ember Topaz", -- Requires localization
		EmpyreanSapphire = "Empyrean Sapphire", -- Requires localization
		EyeOfZul = "Eye of Zul", -- Requires localization
		FireOpal = "Feueropal", -- Needs review
		FlameSpessarite = "Flammenspessarit", -- Needs review
		ForestEmerald = "Forest Emerald", -- Requires localization
		GoldenDraenite = "Golddraenit", -- Needs review
		Hessonite = "Hessonite", -- Requires localization
		HugeCitrine = "Huge Citrine", -- Requires localization
		InfernoRuby = "Infernorubin", -- Needs review
		JaggalPearl = "Jaggal Pearl", -- Requires localization
		Jasper = "Jasper", -- Requires localization
		KingsAmber = "Königsbernstein", -- Needs review
		LavaCoral = "Lava Coral", -- Requires localization
		Lightstone = "Lightstone", -- Requires localization
		Lionseye = "Löwenauge", -- Needs review
		LivingRuby = "Lebendiger Rubin", -- Needs review
		MajesticZircon = "Majestic Zircon", -- Requires localization
		MonarchTopaz = "Monarch Topaz", -- Requires localization
		Mossjewel = "Mossjewel", -- Requires localization
		Nightseye = "Nachtauge", -- Needs review
		Nightstone = "Nightstone", -- Requires localization
		NobleTopaz = "Edeltopas", -- Needs review
		OceanSapphire = "Ocean Sapphire", -- Requires localization
		OrnateDawnstone = "Ornate Dawnstone", -- Requires localization
		OrnateRuby = "Ornate Ruby", -- Requires localization
		OrnateTopaz = "Ornate Topaz", -- Requires localization
		Pyrestone = "Pyrestone", -- Requires localization
		QueensGarnet = "Queen's Garnet", -- Requires localization
		ScarletRuby = "Scharlachrubin", -- Needs review
		SeasprayEmerald = "Seaspray Emerald", -- Requires localization
		ShadowCrystal = "Shadow Crystal", -- Requires localization
		ShadowDraenite = "Shadow Draenite", -- Requires localization
		ShadowPearl = "Shadow Pearl", -- Requires localization
		ShadowsongAmethyst = "Shadowsong Amethyst", -- Requires localization
		ShadowSpinel = "Shadow Spinel", -- Requires localization
		ShadowspiritDiamond = "Shadowspirit Diamond", -- Requires localization
		SkyfireDiamond = "Himmelsfeuerdiamant", -- Needs review
		SkyflareDiamond = "Skyflare Diamond", -- Requires localization
		SkySapphire = "Sky Sapphire", -- Requires localization
		StarflareDiamond = "Starflare Diamond", -- Requires localization
		StarOfElune = "Stern der Elune", -- Needs review
		Stormjewel = "Stormjewel", -- Requires localization
		SunCrystal = "Sonnenkristall", -- Needs review
		Talasite = "Talasite", -- Requires localization
		Tanzanite = "Tansanit", -- Needs review
		Tourmaline = "Tourmaline", -- Requires localization
		TwilightOpal = "Twilight Opal", -- Requires localization
		UnstableDiamond = "Unstable Diamond", -- Requires localization
		Zephyrite = "Zephyrite", -- Requires localization
		Zircon = "Zircon", -- Requires localization
	},
	Item = {
		LargePrismaticShard = "Large Prismatic Shard", -- Requires localization
		VoidCrystal = "Void Crystal", -- Requires localization
	},
	String = {
		ChangeBGColor = "Hintergrundfarbe ändern.", -- Needs review
		Crafted = "Herstellbar", -- Needs review
		Done = "Fertig", -- Needs review
		EnchanterCrafted = "Enchanter Crafted", -- Requires localization
		ErrorTooltip_L1 = "Unsicherer Gegenstand", -- Needs review
		ErrorTooltip_L2 = "ItemID: ", -- Requires localization
		ErrorTooltip_L3 = "Dieser Gegenstand ist unsicher. Um diesen Gegenstand sehen zu können ohne einen Verbindungsabbruch zu riskieren, musst Du ihn zunächst irgendwo im Spiel gesehen haben. Blizzard schreibt diese Einschränkung seit Patch 1.10 vor.", -- Needs review
		ErrorTooltip_L4 = "Du kannst versuchen per Rechtsklick eine Anfrage an den Server zu senden. Dies kann zu einem Verbindungsabbruch führen.", -- Needs review
		ExcludeJCOnly = "keine 'Benötigt Juwelenschleifen'", -- Needs review
		ExcludeNWotLKGems = "Zeige nur WotLK Steine", -- Needs review
		FilterByGemColor = "Nach Farbe filtern", -- Needs review
		FilterByMaterial = "Nach Material filtern", -- Needs review
		FilterBySocket = "Filter By Socket", -- Requires localization
		FilterByStatistic = "Nach Stats filtern", -- Needs review
		GemHelper = "GemHelper", -- Requires localization
		HaveMaterials = "für vorhandenes Material", -- Needs review
		Jewelcrafting = "Juwelenschleifen", -- Needs review
		Of = " von ", -- Needs review
		OpenJC = "Öffne / Schließe normales JS Handelsfenster.", -- Needs review
		QueryMessage = "Sende Anfrage an den Server für ", -- Needs review
		ReplaceDefaultJCUI = "Original UI ersetzen", -- Needs review
		ShowEnchantingGems = "Zeige Verzauberer Steine", -- Needs review
		ShowInstanceDropGems = "Zeige Instanzloot Steine", -- Needs review
		ShowJewelcraftingGems = "Zeige Juwelenschleifer Steine", -- Needs review
		ShowOtherJC = "Juwelenschleifen von: %s", -- Needs review
		ShowVendorGems = "Zeige Händler Steine", -- Needs review
		ThatCanCut = "die %s herstellen kann", -- Needs review
		UseAndLogic = "UND Logik benutzen", -- Needs review
		Vendor = "Vendor", -- Requires localization
	},
}

