-- http://www.wowace.com/addons/gem-helper/localization/frFR/
if GetLocale() ~= "frFR" then return end
GemHelper_Localize = {
	Cut = {
		Accurate = "Accurate", -- Requires localization
		Adept = "Adept", -- Requires localization
		Artful = "Artful", -- Requires localization
		Austere = "Austere", -- Requires localization
		Balanced = "Balanced", -- Requires localization
		Beaming = "Beaming", -- Requires localization
		Bold = "Bold", -- Requires localization
		Bracing = "Bracing", -- Requires localization
		Bright = "Bright", -- Requires localization
		Brilliant = "brillant", -- Needs review
		Brutal = "Brutal", -- Requires localization
		Burning = "Burning", -- Requires localization
		Champions = "Champion's", -- Requires localization
		Chaotic = "Chaotic", -- Requires localization
		Crafty = "Crafty", -- Requires localization
		Dazzling = "Dazzling", -- Requires localization
		Deadly = "Mortelle", -- Needs review
		Defenders = "Defender's", -- Requires localization
		Deft = "Deft", -- Requires localization
		Delicate = "délicat", -- Needs review
		Destructive = "Destructive", -- Requires localization
		Effulgent = "Effulgent", -- Requires localization
		Ember = "Ember", -- Requires localization
		Energized = "Energized", -- Requires localization
		Enigmatic = "Enigmatic", -- Requires localization
		Etched = "Etched", -- Requires localization
		Eternal = "Eternal", -- Requires localization
		Fierce = "Fierce", -- Requires localization
		Fine = "Fine", -- Requires localization
		Flashing = "Flashing", -- Requires localization
		Fleet = "Fleet", -- Requires localization
		Forceful = "Forceful", -- Requires localization
		Forlorn = "Forlorn", -- Requires localization
		Fractured = "Fractured", -- Requires localization
		Glinting = "Glinting", -- Requires localization
		Guardians = "Guardian's", -- Requires localization
		Imbued = "Imbued", -- Requires localization
		Impassive = "Impassive", -- Requires localization
		Infused = "Infused", -- Requires localization
		Inscribed = "Inscribed", -- Requires localization
		Insightful = "Insightful", -- Requires localization
		Invigorating = "Invigorating", -- Requires localization
		Jagged = "Jagged", -- Requires localization
		Keen = "Keen", -- Requires localization
		Lambert = "Lambert", -- Requires localization
		Lightning = "Lightning", -- Requires localization
		Lucent = "Lucent", -- Requires localization
		Misty = "Misty", -- Requires localization
		Mysterious = "Mysterious", -- Requires localization
		Mystic = "Mystic", -- Requires localization
		Mystical = "Mystical", -- Requires localization
		Nimble = "Nimble", -- Requires localization
		Perfect = "Parfaite", -- Needs review
		Persistent = "Persistent", -- Requires localization
		Piercing = "Piercing", -- Requires localization
		Polished = "Polished", -- Requires localization
		Potent = "Potent", -- Requires localization
		Powerful = "Powerful", -- Requires localization
		Precise = "Precise", -- Requires localization
		Puissant = "Puissant", -- Requires localization
		Purified = "Purified", -- Requires localization
		Quick = "Quick", -- Requires localization
		Radiant = "Radiant", -- Requires localization
		Reckless = "Téméraire", -- Needs review
		Regal = "Regal", -- Requires localization
		Relentless = "Relentless", -- Requires localization
		Resolute = "Resolute", -- Requires localization
		Resplendent = "Resplendent", -- Requires localization
		Retaliating = "Retaliating", -- Requires localization
		Revitalizing = "Revitalizing", -- Requires localization
		Rigid = "Rigid", -- Requires localization
		Runed = "Runed", -- Requires localization
		Senseis = "Sensei's", -- Requires localization
		Shattered = "Shattered", -- Requires localization
		Shielded = "Shielded", -- Requires localization
		Shifting = "Shifting", -- Requires localization
		Skillful = "Skillful", -- Requires localization
		Smooth = "Smooth", -- Requires localization
		Solid = "Solid", -- Requires localization
		Soothing = "Soothing", -- Requires localization
		Sovereign = "Sovereign", -- Requires localization
		Sparkling = "Sparkling", -- Requires localization
		Splendid = "Splendid", -- Requires localization
		Stalwart = "Stalwart", -- Requires localization
		Steady = "Steady", -- Requires localization
		Stormy = "Stormy", -- Requires localization
		Subtle = "Subtle", -- Requires localization
		Swift = "Swift", -- Requires localization
		Tenacious = "Tenacious", -- Requires localization
		Tense = "Tense", -- Requires localization
		Tenuous = "Tenuous", -- Requires localization
		Thundering = "Thundering", -- Requires localization
		Timeless = "Timeless", -- Requires localization
		Tireless = "Tireless", -- Requires localization
		Trenchant = "Trenchant", -- Requires localization
		Turbid = "Turbid", -- Requires localization
		Veiled = "Veiled", -- Requires localization
		Vivid = "Vivid", -- Requires localization
		Wicked = "Wicked", -- Requires localization
		Willful = "Willful", -- Requires localization
		Zen = "Zen", -- Requires localization
	},
	CutGem = {
		BloodOfAmber = "Blood of Amber", -- Requires localization
		CharmedAmaniJewel = "Charmed Amani Jewel", -- Requires localization
		CrimsonSun = "Crimson Sun", -- Requires localization
		DonAmanciosHeart = "Don Amancio's Heart", -- Requires localization
		DonJuliosHeart = "Don Julio's Heart", -- Requires localization
		DonRodrigosHeart = "Don Rodrigo's Heart", -- Requires localization
		EnchantedPearl = "Enchanted Pearl", -- Requires localization
		EnchantedTear = "Enchanted Tear", -- Requires localization
		EyeOfTheSea = "Eye of the Sea", -- Requires localization
		FacetOfEternity = "Facet of Eternity", -- Requires localization
		FallingStar = "Falling Star", -- Requires localization
		KaileesRose = "Kailee's Rose", -- Requires localization
		KharmaasGrace = "Kharmaa's Grace", -- Requires localization
		NightmareTear = "Nightmare Tear", -- Requires localization
		PrismaticSphere = "Prismatic Sphere", -- Requires localization
		StoneOfBlades = "Stone of Blades", -- Requires localization
		VoidSphere = "Void Sphere", -- Requires localization
	},
	Filters = {
		Intellect = "Intellect", -- Requires localization
		Mastery = "Mastery", -- Requires localization
		Stamina = "Stamina", -- Requires localization
	},
	Gem = {
		Alicite = "Alicite", -- Needs review
		Amber = "Amber", -- Requires localization
		Amberjewel = "Ambréine", -- Needs review
		Amethyst = "Amethyst", -- Requires localization
		Ametrine = "Amétrine", -- Needs review
		AutumnsGlow = "Autumn's Glow", -- Requires localization
		AzureMoonstone = "Azure Moonstone", -- Requires localization
		BloodGarnet = "Grenat sanguin", -- Needs review
		Bloodstone = "Bloodstone", -- Requires localization
		CardinalRuby = "Rubis cardinal", -- Needs review
		Carnelian = "Carnelian", -- Requires localization
		Chalcedony = "Chalcedony", -- Requires localization
		ChimerasEye = "Chimera's Eye", -- Requires localization
		Chrysoprase = "Chrysoprase", -- Requires localization
		Citrine = "Citrine", -- Requires localization
		Cogwheel = "Cogwheel", -- Requires localization
		CrimsonSpinel = "Spinelle cramoisi", -- Needs review
		DarkJade = "Dark Jade", -- Requires localization
		Dawnstone = "Pierre d'aube", -- Needs review
		DeepholmIolite = "Deepholm Iolite", -- Requires localization
		DeepPeridot = "Deep Peridot", -- Requires localization
		Demonseye = "Demonseye", -- Requires localization
		DragonsEye = "Dragon's Eye", -- Requires localization
		Dreadstone = "Dreadstone", -- Requires localization
		DreamEmerald = "Dream Emerald", -- Requires localization
		EarthshatterDiamond = "Earthshatter Diamond", -- Requires localization
		EarthsiegeDiamond = "Earthsiege Diamond", -- Requires localization
		EarthstormDiamond = "Earthstorm Diamond", -- Requires localization
		ElvenPeridot = "Elven Peridot", -- Requires localization
		EmberTopaz = "Ember Topaz", -- Requires localization
		EmpyreanSapphire = "Empyrean Sapphire", -- Requires localization
		EyeOfZul = "Eye of Zul", -- Requires localization
		FireOpal = "Fire Opal", -- Requires localization
		FlameSpessarite = "Flame Spessarite", -- Requires localization
		ForestEmerald = "Forest Emerald", -- Requires localization
		GoldenDraenite = "Golden Draenite", -- Requires localization
		Hessonite = "Hessonite", -- Requires localization
		HugeCitrine = "Enorme Citrine", -- Needs review
		InfernoRuby = "Rubis du feu d'enfer", -- Needs review
		JaggalPearl = "Jaggal Pearl", -- Requires localization
		Jasper = "Jasper", -- Requires localization
		KingsAmber = "Ambre du roi", -- Needs review
		LavaCoral = "Lava Coral", -- Requires localization
		Lightstone = "Lightstone", -- Requires localization
		Lionseye = "Oeil de lion", -- Needs review
		LivingRuby = "Rubis vivant", -- Needs review
		MajesticZircon = "Majestic Zircon", -- Requires localization
		MonarchTopaz = "Monarch Topaz", -- Requires localization
		Mossjewel = "Mossjewel", -- Requires localization
		Nightseye = "Nightseye", -- Requires localization
		Nightstone = "Nightstone", -- Requires localization
		NobleTopaz = "Noble Topaz", -- Requires localization
		OceanSapphire = "Ocean Sapphire", -- Requires localization
		OrnateDawnstone = "Ornate Dawnstone", -- Requires localization
		OrnateRuby = "Ornate Ruby", -- Requires localization
		OrnateTopaz = "Ornate Topaz", -- Requires localization
		Pyrestone = "Pyrestone", -- Requires localization
		QueensGarnet = "Queen's Garnet", -- Requires localization
		ScarletRuby = "Rubis écarlate", -- Needs review
		SeasprayEmerald = "Seaspray Emerald", -- Requires localization
		ShadowCrystal = "Shadow Crystal", -- Requires localization
		ShadowDraenite = "Shadow Draenite", -- Requires localization
		ShadowPearl = "Shadow Pearl", -- Requires localization
		ShadowsongAmethyst = "Shadowsong Amethyst", -- Requires localization
		ShadowSpinel = "Shadow Spinel", -- Requires localization
		ShadowspiritDiamond = "Shadowspirit Diamond", -- Requires localization
		SkyfireDiamond = "Skyfire Diamond", -- Requires localization
		SkyflareDiamond = "Skyflare Diamond", -- Requires localization
		SkySapphire = "Sky Sapphire", -- Requires localization
		StarflareDiamond = "Starflare Diamond", -- Requires localization
		StarOfElune = "Star of Elune", -- Requires localization
		Stormjewel = "Stormjewel", -- Requires localization
		SunCrystal = "Cristal soleil", -- Needs review
		Talasite = "Talasite", -- Requires localization
		Tanzanite = "Tanzanite", -- Requires localization
		Tourmaline = "Tourmaline", -- Requires localization
		TwilightOpal = "Twilight Opal", -- Requires localization
		UnstableDiamond = "Unstable Diamond", -- Requires localization
		Zephyrite = "Zephyrite", -- Requires localization
		Zircon = "Zircon", -- Requires localization
	},
	Item = {
		LargePrismaticShard = "Large Prismatic Shard", -- Requires localization
		VoidCrystal = "Void Crystal", -- Requires localization
	},
	String = {
		ChangeBGColor = "Change la couleur de l'arrière-plan.", -- Needs review
		Crafted = "Crafted", -- Requires localization
		Done = "Ok", -- Needs review
		EnchanterCrafted = "Enchanter Crafted", -- Requires localization
		ErrorTooltip_L1 = "Objet peu sûr", -- Needs review
		ErrorTooltip_L2 = "ObjetID: ", -- Needs review
		ErrorTooltip_L3 = "Cet objet n'est pas fiable.\\nPour voir cet objet sans risque de déconnexion, vous devez l'avoir déjà vu une fois dans le jeu.\\nCette restriction est imposée par Blizzard depuis la mise à jour 1.10.", -- Needs review
		ErrorTooltip_L4 = "Un clic-droit permet de tenter d'interroger le serveur.\\nVous pouvez être déconnecté.", -- Needs review
		ExcludeJCOnly = "Exclude JC-Only", -- Requires localization
		ExcludeNWotLKGems = "Exclude non-WotLK gems", -- Requires localization
		FilterByGemColor = "Filtrer par couleur de gemme", -- Needs review
		FilterByMaterial = "Filtrer par compo", -- Needs review
		FilterBySocket = "Filter By Socket", -- Requires localization
		FilterByStatistic = "Filtrer par stats", -- Needs review
		GemHelper = "GemHelper", -- Requires localization
		HaveMaterials = "Dont j'ai les composants", -- Needs review
		Jewelcrafting = "Joaillerie", -- Needs review
		Of = " de ", -- Needs review
		OpenJC = "Ouvrir / Fermer la fenêtre de Joaillerie d'origine.", -- Needs review
		QueryMessage = "Requête serveur pour ", -- Needs review
		ReplaceDefaultJCUI = "Remplacer l'interface", -- Needs review
		ShowEnchantingGems = "Voir les gemmes des enchanteurs", -- Needs review
		ShowInstanceDropGems = "Voir les gemmes des instances", -- Needs review
		ShowJewelcraftingGems = "Voir les gemmes de joaillerie", -- Needs review
		ShowOtherJC = "Showing %s's JC", -- Requires localization
		ShowVendorGems = "Voir les gemmes des vendeurs", -- Needs review
		ThatCanCut = "Que %s peut tailler", -- Needs review
		UseAndLogic = "Use AND logic", -- Requires localization
		Vendor = "Vendor", -- Requires localization
	},
}

